#include <bits/stdc++.h>
#define ll long long

using namespace std;

int main()
{
    cin.tie(0);cout.tie(0);
    ios_base::sync_with_stdio(false);

    int n,k;
    cin >> n >> k;
    char a[n];
    for(int i = 0; i < n;i++)
    {
        cin >> a[i];
    }
    int x = 1;int c = 0;
    for(int i = 0; i < n;i++)
    {
        if((c ==k && x != 1) || (x == 1 && c == k-1))
        {
            c = 0;x++;
        }
        cout << x;
        c++;
    }
}